#
# spec file for package pam_ssh
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pam_ssh
BuildRequires:  openssh openssl-devel pam-devel
License:        BSD3c(or similar)
Group:          Productivity/Networking/SSH
AutoReqProv:    on
Version:        1.97
Release:        11.12.1
Summary:        PAM Module for SSH Authentication
Url:            http://sourceforge.net/projects/pam-ssh/
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
Patch0:         pam_ssh-double-free.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module provides single sign-on behavior. The user types a
passphrase when logging in and is allowed in if it decrypts the user s
SSH private key. An ssh-agent is started and keys are added. For the
entire session, the user types no more passwords.



Authors:
--------
    Andrew J. Korty <ajk@iu.edu>
    Roderick Schertler

%prep
%setup -q
%patch0 -p1

%build
%{suse_update_config -f}
autoreconf --verbose --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"  \
./configure --libdir=/%{_lib} \
            --with-pamdir=/%{_lib}/security \
            --prefix=%{_prefix} \
	    --mandir=%{_mandir}
make

%install
install -d 755 $RPM_BUILD_ROOT/%{_lib}/security
install -m 755 .libs/pam_ssh.so $RPM_BUILD_ROOT/%{_lib}/security
install -d 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 pam_ssh.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc README TODO NEWS
%attr(555,root,root) /%{_lib}/security/pam_ssh.so
%attr(444,root,root) %_mandir/man*/*.*

%changelog
* Mon Apr 18 2011 vcizek@novell.com
- fix for bnc#688120 (pam_ssh double free)
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Jun 24 2009 sbrabec@suse.cz
- Supplement pam-32bit/pam-64bit in baselibs.conf (bnc#354164).
* Wed Jun 24 2009 sbrabec@suse.cz
- Supplement pam-32bit/pam-64bit in baselibs.conf (bnc#354164).
* Tue Apr 14 2009 anicka@suse.cz
- update to 1.97
  * pam_get_pass.c: CVE-2009-1273
  pam_ssh used a certain prompt if a user found to exist to ask
  for the SSH passphrase explicitely depending on whether the
  username was valid or invalid, which made it easier for remote
  attackers to enumerate usernames.
- remove last patch
* Fri Apr 10 2009 anicka@suse.cz
- add fix for CVE-2009-1273 (bnc#492764) taken from Red Hat
  bugzilla (#492153)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Jan 14 2008 anicka@suse.cz
- update to 1.96
  * pam_ssh.c (key_load_private_maybe): New wrapper for
  key_load_private() that checks whether the private key's
  passphrase is blank.
  * pam_ssh.c: if PAM returns tty_raw = NULL we shouldn't fiddle
  with a per-session file. That seems to happen if the session
  module is used for background system services (like cron).
  * pam_ssh.c: fixed double-free issue with file closing
- remove last two patches (fixed in upstream)
* Mon Mar  5 2007 anicka@suse.de
- fix crash in pam_sm_open_session [#251053]
* Fri Nov 24 2006 max@suse.de
- Fix crashes in in the session module (#223488).
* Tue Nov  7 2006 ro@suse.de
- fix manpage permissions
* Thu Aug  3 2006 stark@suse.de
- update to version 1.94 (r23)
  * improved logging
  * more recover fixes
  * root credentials weren't restored in some cases which caused
    following pam session modules to fail
* Sat Jun 24 2006 stark@suse.de
- update to version 1.93 (r18)
  * debug option works for auth and session module (#177885)
  * debug option is really available now for auth and session
    module (#177885)
  * recover better if close_session wasn't executed (#187560)
* Wed Jun  7 2006 stark@suse.de
- logging fix is integrated now
- auth handler now accepts nullok option
* Wed May 31 2006 stark@suse.de
- update to version 1.92
  * allow working as session module without authentication
    (workaround for #173803)
  * incorporated include fixes
- fixed syslog logging (part of #177885)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 14 2005 ro@suse.de
- added include openssl/md5.h to cipher.c
* Mon Oct 10 2005 schubi@suse.de
- added "include <syslog.h>"
* Tue Nov  9 2004 schubi@suse.de
- Bugfixes for other architectures
* Mon Nov  8 2004 schubi@suse.de
- first version
